#ifndef CACHECOMMONINFO_H
#define CACHECOMMONINFO_H

#include <QObject>
#include "CacheBase.h"

class CacheCommonInfo : public CacheBase
{
    Q_OBJECT
private:
    static constexpr const qlonglong s_commonTablePrimaryKey = 0;
    static constexpr const char* s_commonInfoTableName = "Data2";
    static constexpr const char* s_commonInfoTableCreateCmd = "\
                                            CREATE TABLE IF NOT EXISTS Data2\
                                            ( \
                                            Id INTEGER PRIMARY KEY   AUTOINCREMENT UNIQUE,\
                                            Value1 TEXT NOT NULL, \
                                            Value2 TEXT NOT NULL \
                                            )";
public:
    CacheCommonInfo(QObject *parent = nullptr);
public slots:

};

#endif // CACHECOMMONINFO_H
