/*** 
 * @Author: pengcheng
 * @Date: 2021-07-05 10:42:10
 * @LastEditTime: 2021-08-24 17:47:52
 * @LastEditors: pengcheng
 * @Description: 
 * @FilePath: /kylin-daq/src/LogControl.h
 */
#ifndef LOGCONTROL_H
#define LOGCONTROL_H

#include <QtCore/QtCore>
#include "LogRecord.h"
#include "LogCheck.h"

class LogControl: public QObject
{
public:
    static QScopedPointer<LogControl> ms_instance;
    enum LogControlState
    {
        Exit = 0,
        Run = 1,
    };
    LogControlState  state = LogControlState::Exit;
private:
public:
    static LogControl *instance();
    static void init(const QString strAppName);
    static void exit();
    static LogControlState status();
    ~LogControl();
protected:
    explicit LogControl();
private:
    void doInit(const QString strAppName);
    void doExit();
    LogControlState doStatus();
};

#endif
