#ifndef SERIALNUMBERINFOCOLLECTION_H
#define SERIALNUMBERINFOCOLLECTION_H

#include <QObject>
#include <QDBusInterface>
#include "InfoCollectionBase.h"

class RegisterNumberInfoCollection : public InfoCollectionBase
{
    Q_OBJECT
public:
    RegisterNumberInfoCollection(QObject *parent = nullptr);
    QString getSerialNumber();
private:
    static constexpr const char* s_serverName="org.freedesktop.activation";
    static constexpr const char* s_objectPath="/org/freedesktop/activation";
    static constexpr const char* s_interfaceName="org.freedesktop.activation.interface";
    static constexpr const char* s_methodName="register_number";

};

#endif // SERIALNUMBERINFOCOLLECTION_H
