#ifndef NETWORKINFO_H
#define NETWORKINFO_H

#include <QObject>
#include "InfoCollectionBase.h"
#include <QFileInfo>

class NetworkInfoCollection : public InfoCollectionBase
{
    Q_OBJECT
public:
    NetworkInfoCollection(QObject *parent=nullptr);
    QString getNetworkType();
    QString getNetworkMac();
private:
    QString s_virtualNetworkPath="/sys/devices/virtual/net/";
    QString s_networkPath="/sys/class/net/";
    QString s_wirelessKey="wireless";
    QString s_addressKey="address";
    QString s_wirelessInterfaceKey="Wireless interface";
    QString s_ethernetInterfaceKey="Ethernet interface";
    QString notVirtualNetworkCmd;
};

#endif // NETWORKINFO_H
